﻿using System;
using System.Collections.Generic;
using System.Configuration;
using System.Linq;
using System.Text;
using System.Xml;

namespace SampleLegacy
{
	public class LegacyAppConfigInfo : IConfigurationSectionHandler
	{
		public string SomeDirectory { get; set; }
		public List<string> ChildFiles { get; set; }

		public object Create(object parent, object configContext, XmlNode section)
		{
			SomeDirectory = section.Attributes[0].Value;
			ChildFiles = section.ChildNodes.Cast<XmlNode>().Select(d => d.Attributes[0].Value).ToList();

			return this;
		}
	}
}
