﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace SampleLegacy
{
	public class LegacyDoer
	{
		private LegacyAppConfigInfo cfg;
		/// <summary>
		/// Looks in app.config for certain information
		/// </summary>
		private void LoadInformationFromAppConfig()
		{
			this.cfg = ((LegacyAppConfigInfo)System.Web.Configuration.WebConfigurationManager.GetSection("specialInfo"));
		}

		/// <summary>
		/// Must call legacy code that looks into app.config.
		/// After which it will run its own code
		/// </summary>
		public void Do()
		{
			LoadInformationFromAppConfig();

			Console.WriteLine("Writing SomeDirectory out to console:" + cfg.SomeDirectory);
		}
	}
}
